using System;
using System.ComponentModel.Composition;

using Microsoft.LightSwitch.Theming;

namespace PluralsightExtensions.Presentation.Themes
{
    [Export(typeof(ITheme))]
    [Theme(PluralsightTheme.ThemeId, PluralsightTheme.ThemeVersion)]
    internal class PluralsightTheme : ITheme
    {
        #region ITheme Members

        public string Id
        {
            get { return PluralsightTheme.ThemeId; }
        }

        public string Version
        {
            get { return PluralsightTheme.ThemeVersion; }
        }

        public Uri ColorAndFontScheme
        {
            get { return new Uri(@"/PluralsightExtensions.Client;component/Presentation/Themes/PluralsightTheme.xaml", UriKind.Relative); }
        }

        #endregion

        #region Constants

        internal const string ThemeId = "PluralsightExtensions:PluralsightTheme";
        internal const string ThemeVersion = "1.0";

        #endregion
    }
}
